Inactive action tool

2015-11-30 04:08 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21932

Description

Open QGIS

Add a vector layer on which an action is defined.

Despite the layer is selected and visible, the "Execute action" tool remains unavailable.

You need to open layer properties and validate or use the action from the "Identify" panel before getting the tool available.

Associated revisions

Revision 1563526f - 2016-06-14 07:20 AM - Nyall Dawson

Fix actions are not enabled when loading layer with default style (fix #13910)

Revision 59c35dff - 2016-07-01 10:37 AM - Nyall Dawson

Fix actions are not enabled when loading layer with default style (fix #13910)

(cherry-picked from 1563526f0dc59ae2b1fdc4a58c07488c5603de3d)

History

#1 - 2015-11-30 04:18 AM - Harrissou Santanna

sorry, Inactive is a better word than Unavailable

#2 - 2015-11-30 04:36 AM - Jürgen Fischer

- Subject changed from Execute action tool is not available to Inactive action tool

#3 - 2015-11-30 06:47 AM - Jürgen Fischer

- Status changed from Open to Feedback

Not reproducable here.  Please include a sample project.

#4 - 2015-12-19 11:08 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme
closing for lack of feedback.

#5 - 2016-05-26 02:00 AM - Alain FERRATON

- File essai.zip added

- Status changed from Closed to Reopened

problem still found in QGIS 2.15

eg load in new project the attached layer that contains actions

#6 - 2016-06-13 10:20 PM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"1563526f0dc59ae2b1fdc4a58c07488c5603de3d".

Files

InactiveActionTool.png 132 KB 2015-11-30 Harrissou Santanna

essai.zip 28 KB 2016-05-26 Alain FERRATON
